#!/usr/bin/env python3
# -*- coding:utf-8 -*-
#############################################################################
# Copyright (c): 2012-2017, Huawei Tech. Co., Ltd.
# Description  : Common is a utility with a lot of common functions
#############################################################################
from gspylib.common.common.default_value import DefaultValue as Default
from gspylib.common.common.cluster_command import ClusterCommand as Command
from gspylib.common.common.cluster_instance_config import ClusterInstanceConfig as Config
from gspylib.common.common.temp_file_management import TempfileManagement as TempManage
from gspylib.common.common.digital_compare import Digital as DigitalCompare
from gspylib.common.common.dynamic_guc_config import DynamicGucConfig


class DefaultValue(Default):
    def __init__(self):
        Default.__init__(self)


class ClusterCommand(Command):
    def __init__(self):
        Command.__init__(self)


class ClusterInstanceConfig(Config):
    def __init__(self):
        Config.__init__(self)


class TempfileManagement(TempManage):
    def __init__(self):
        TempManage.__init__(self)


class Digital(DigitalCompare):
    def __init__(self):
        DigitalCompare.__init__(self)


class ConfigGUC(DynamicGucConfig):
    def __init__(self):
        DynamicGucConfig.__init__(self)
